POST Add object to space
POST /spaces/{roomId}/objects/add: Add object to space. 3D objects are placed at the origin; position them with /spaces/{roomId}/objects/transform. position
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/spaces/post-spaces-roomId-objects-add.md for this page in Markdown format
POST
Try it out https://api.rooom.com/spaces/{roomId}/objects/addScopes
space:writeParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
roomIdrequiredExample: _roomId_ | string | Room identifier. |
Body required
multipart/form-data| Name | Type | Description | Values |
|---|---|---|---|
type | string | Object type | 3Dfont |
objectId | string | 3D Object Id | |
setId | string | 3D Object set Id | |
fontname | string | Font name | |
content | string | Font text | |
color-diffuse | string | Font color diffuse (#Hex-Code) | |
color-emissive | string | Font color emissive (#Hex-Code) | |
letter-thickness | number | Font size | |
position[x] | number | X-position (font objects only) | |
position[y] | number | Y-position (font objects only) | |
position[z] | number | Z-position (font objects only) | |
rotation[x] | number | X-rotation (font objects only) | |
rotation[y] | number | Y-rotation (font objects only) | |
rotation[z] | number | Z-rotation (font objects only) |
Responses
201Space object created
401Missing scope or not the space owner
404Space or catalogue object not found
POST /spaces/{roomId}/objects/add Add object to space 3D objects are placed at the origin; position them with /spaces/{roomId}/objects/transform. position and rotation apply to font objects only. Required scopes: space:write roomId Room identifier. type Object type objectId 3D Object Id setId 3D Object set Id fontname Font name content Font text color-diffuse Font color diffuse (#Hex-Code) color-emissive Font color emissive (#Hex-Code) letter-thickness Font size position[x] X-position (font objects only) position[y] Y-position (font objects only) position[z] Z-position (font objects only) rotation[x] X-rotation (font objects only) rotation[y] Y-rotation (font objects only) rotation[z] Z-rotation (font objects only)